Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007515OCamlstandard librarypublic2017-04-10 19:072017-06-30 10:31
Reporternojebar 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.06.0+dev 
Summary0007515: Arg: cannot correctly align docstring for Tuple option
DescriptionThe Arg.align function allows to correctly align docstrings of the form

  -foo FOO My docstring for foo
  -bar BAR My docstring for bar

by using the docstring "FOO My docstring for foo" in the first case and "BAR My docstring for bar" in the second case.

Unfortunately this does not allow to document Tuple arguments which have more than argument component, e.g.

  -tuple FOO BAR My docstring for foo

In other words, it would be nice to be able to somehow include spaces in the "first word" of the docstring.

I am not sure what a good solution would be that would not break backwards compatibilty.

Maybe we could declare a not-very-common character to be rendered as a space when found in the "first word" of the docstring.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017736)
nojebar (reporter)
2017-04-10 19:08

Mantis stripped the spaces from my description; several spaces are supposed to be present before "My docstring..." in each case.
(0017737)
nojebar (reporter)
2017-04-10 22:30

Possible solution at https://github.com/ocaml/ocaml/pull/1147 [^]
(0017876)
nojebar (reporter)
2017-06-13 18:37

This can be closed, as the PR has been merged.
(0018010)
doligez (administrator)
2017-06-28 16:07

Fixed in trunk by GPR#1147. Thanks @nojebar !

- Issue History
Date Modified Username Field Change
2017-04-10 19:07 nojebar New Issue
2017-04-10 19:08 nojebar Note Added: 0017736
2017-04-10 22:30 nojebar Note Added: 0017737
2017-04-14 17:04 doligez Status new => acknowledged
2017-06-13 18:37 nojebar Note Added: 0017876
2017-06-28 16:07 doligez Note Added: 0018010
2017-06-28 16:08 doligez Fixed in Version => 4.06.0+dev
2017-06-30 10:31 frisch Status acknowledged => closed
2017-06-30 10:31 frisch Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker